Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans
Class TransDependency

    java.lang.Object
      org.pentaho.di.trans.TransDependency

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.xml.XMLInterface

    public class TransDependency

extends Object
implements org.pentaho.di.core.xml.XMLInterface, Cloneable

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`TransDependency()`
`TransDependency(org.pentaho.di.core.database.DatabaseMeta db, String tablename, String fieldname)`
`TransDependency(Node depnode, List<org.pentaho.di.core.database.DatabaseMeta> databases)`
`TransDependency(Repository rep, long id_dependency, List<org.pentaho.di.core.database.DatabaseMeta> databases)`

Method Summary
`Object` | `clone()`
`org.pentaho.di.core.database.DatabaseMeta` | `getDatabase()`
`String` | `getFieldname()`
`long` | `getID()`
`String` | `getTablename()`
`String` | `getXML()`
`void` | `saveRep(Repository rep, long id_transformation)`
`void` | `setDatabase(org.pentaho.di.core.database.DatabaseMeta db)`
`void` | `setFieldname(String fieldname)`
`void` | `setID(long id)`
`void` | `setTablename(String tablename)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### TransDependency

    public TransDependency(org.pentaho.di.core.database.DatabaseMeta db,
                           String tablename,
                           String fieldname)

### TransDependency

    public TransDependency()

### TransDependency

    public TransDependency(Node depnode,
                           List<org.pentaho.di.core.database.DatabaseMeta> databases)
                    throws org.pentaho.di.core.exception.KettleXMLException

Throws:
  `org.pentaho.di.core.exception.KettleXMLException`

### TransDependency

    public TransDependency(Repository rep,
                           long id_dependency,
                           List<org.pentaho.di.core.database.DatabaseMeta> databases)
                    throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `org.pentaho.di.core.xml.XMLInterface`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### setID

    public void setID(long id)

### getID

    public long getID()

### setDatabase

    public void setDatabase(org.pentaho.di.core.database.DatabaseMeta db)

### getDatabase

    public org.pentaho.di.core.database.DatabaseMeta getDatabase()

### setTablename

    public void setTablename(String tablename)

### getTablename

    public String getTablename()

### setFieldname

    public void setFieldname(String fieldname)

### getFieldname

    public String getFieldname()

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD